No controller provider: coreapps error

On deploying a new .omod for coreapps(version 1.31.0-SNAPSHOT) in the sdk openmrs module folder (versions: Ref application 2.10 and platform 2.3),i do get this error https://pastebin.com/nhWgNX0V and have tried re-starting the sdk several times but its still the same,i have also tried several suggestions around talk like starting all modules,but unfortunately it didnot work !!any suggestions on fixing this ?

full server logs https://pastebin.com/6Qqgryp6 cc @dkayiwa

@herbert24 , did you make any local changes in coreapps ??

what where you trying to do ??

From the log:

ERROR - ModuleFactory.startModules(256) |2020-10-22 17:20:38,740| Module Core Apps Module cannot be started because it requires the following module(s): emrapi 1.29.0 Please install and start these modules first.

1 Like

upgrading the emrapi and event modules got me moving, thanks @ibacher @mozzy @dkayiwa